Bug 1023207 - oo-admin-chk does not detect scaled gears missing the app_dns mongo entry
oo-admin-chk does not detect scaled gears missing the app_dns mongo entry
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 17:27 EDT by Wesley Hearn
Modified: 2015-05-14 20:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:26:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wesley Hearn 2013-10-24 17:27:07 EDT
Description of problem:
oo-admin-chk does not detect scaled gears missing the app_dns mongo entry

Version-Release number of selected component (if applicable):
devenv_3942

How reproducible:
Always

Steps to Reproduce:
1. Create scalable application
2. Somehow remove the mongo app_end entry for the gear
3. Run oo-admin-chk

Actual results:
# oo-admin-chk 
Started at: 2013-10-24 17:20:34 -0400
Time to fetch mongo data: 0.075s
Total gears found in mongo: 203
Time to get all gears from nodes: 20.695s
Total gears found on the nodes: 201
Total nodes that responded : 5
Success
Total time: 20.771s
Finished at: 2013-10-24 17:20:55 -0400


Expected results:
oo-admin-chk should fail.

Additional info:
Comment 1 Rajat Chopra 2013-10-25 15:36:41 EDT
Fixed with https://github.com/openshift/origin-server/pull/4001
Comment 2 Abhishek Gupta 2013-10-25 15:44:55 EDT
The check has been added to oo-admin-chk at level 0.
Comment 4 zhaozhanqi 2013-10-28 02:36:07 EDT
Tested this on devenv_3593,it has been fixed.

 oo-admin-chk -l 0
Started at: 2013-10-28 02:05:44 -0400                                                                                                                                                                                                        
Time to fetch mongo data: 0.014s                                                                                                                                                                                                             
Total gears found in mongo: 19                                                                                                                                                                                                               
Time to get all gears from nodes: 20.915s                                                                                                                                                                                                    
Total gears found on the nodes: 19                                                                                                                                                                                                           
Total nodes that responded : 2                                                                                                                                                                                                               
Check failed.                                                                                                                                                                                                                                
Application 'zqpy33' with Id '526de1d160aeea26d80001db' has DNS gear missing.                                                                                                                                                                
Please refer to the oo-admin-repair tool to resolve some of these inconsistencies.                                                                                                                                                           
Total time: 20.93s                                                                                                                                                                                                                           
Finished at: 2013-10-28 02:06:05 -0400

Note You need to log in before you can comment on or make changes to this bug.